/////////////////////////////////////////////////////////////////////////////
// Name:        samplesettingsdialog.h
// Purpose:     
// Author:      Julian Smart
// Modified by: 
// Created:     26/03/2009 08:54:36
// RCS-ID:      
// Copyright:   
// Licence:     New BSD License
/////////////////////////////////////////////////////////////////////////////

#ifndef _SAMPLESETTINGSDIALOG_H_
#define _SAMPLESETTINGSDIALOG_H_


/*!
 * Includes
 */

////@begin includes
#include "wx/propdlg.h"
#include "wx/notebook.h"
////@end includes

#include "ax/ax_ui_adaptation.h"

/*!
 * Forward declarations
 */

////@begin forward declarations
class AxLibrarySettingsPage;
class wxCommandEditorPanel;
class wxTTSSpeechSettingsPanel;
////@end forward declarations

/*!
 * Control identifiers
 */

////@begin control identifiers
#define ID_SAMPLESETTINGSDIALOG 10002
#define SYMBOL_SAMPLESETTINGSDIALOG_STYLE wxCAPTION|wxRESIZE_BORDER|wxSYSTEM_MENU|wxCLOSE_BOX
#define SYMBOL_SAMPLESETTINGSDIALOG_TITLE _("Preferences")
#define SYMBOL_SAMPLESETTINGSDIALOG_IDNAME ID_SAMPLESETTINGSDIALOG
#define SYMBOL_SAMPLESETTINGSDIALOG_SIZE wxSize(400, 300)
#define SYMBOL_SAMPLESETTINGSDIALOG_POSITION wxDefaultPosition
////@end control identifiers


/*!
 * SampleSettingsDialog class declaration
 */

class SampleSettingsDialog: public wxPropertySheetDialog
{    
    DECLARE_DYNAMIC_CLASS( SampleSettingsDialog )
    DECLARE_EVENT_TABLE()

public:
    /// Constructors
    SampleSettingsDialog();
    SampleSettingsDialog( wxWindow* parent, wxWindowID id = SYMBOL_SAMPLESETTINGSDIALOG_IDNAME, const wxString& caption = SYMBOL_SAMPLESETTINGSDIALOG_TITLE, const wxPoint& pos = SYMBOL_SAMPLESETTINGSDIALOG_POSITION, const wxSize& size = SYMBOL_SAMPLESETTINGSDIALOG_SIZE, long style = SYMBOL_SAMPLESETTINGSDIALOG_STYLE );

    /// Creation
    bool Create( wxWindow* parent, wxWindowID id = SYMBOL_SAMPLESETTINGSDIALOG_IDNAME, const wxString& caption = SYMBOL_SAMPLESETTINGSDIALOG_TITLE, const wxPoint& pos = SYMBOL_SAMPLESETTINGSDIALOG_POSITION, const wxSize& size = SYMBOL_SAMPLESETTINGSDIALOG_SIZE, long style = SYMBOL_SAMPLESETTINGSDIALOG_STYLE );

    /// Destructor
    ~SampleSettingsDialog();

    /// Initialises member variables
    void Init();

    /// Creates the controls and sizers
    void CreateControls();

    /// Data transfer
    virtual bool TransferDataFromWindow();

////@begin SampleSettingsDialog event handler declarations

////@end SampleSettingsDialog event handler declarations

////@begin SampleSettingsDialog member function declarations

    /// Retrieves bitmap resources
    wxBitmap GetBitmapResource( const wxString& name );

    /// Retrieves icon resources
    wxIcon GetIconResource( const wxString& name );
////@end SampleSettingsDialog member function declarations

    /// Should we show tooltips?
    static bool ShowToolTips();

////@begin SampleSettingsDialog member variables
    wxPanel* m_generalPage;
    wxPanel* m_libraryPage;
    AxLibrarySettingsPage* m_librarySettingsPage;
    wxCommandEditorPanel* m_commandPage;
    wxTTSSpeechSettingsPanel* m_speechSettingsPanel;
    wxTTSSpeechSettingsPanel* m_contentSpeechSettingsPanel;
////@end SampleSettingsDialog member variables

    AxSelfVoicing m_adapter;
};

#endif
    // _SAMPLESETTINGSDIALOG_H_
